<?php
class D4U_Functions_Block_Adminhtml_Functions_Edit extends Mage_Adminhtml_Block_Widget_Form_Container
{
	public function __construct()
	{
		parent::__construct();

		$this->_objectId = 'id';
		$this->_blockGroup = 'functions';
		$this->_controller = 'adminhtml_functions';

		$this->_updateButton('save', 'label', Mage::helper('functions')->__('Save Item'));
		$this->_updateButton('delete', 'label', Mage::helper('functions')->__('Delete Item'));
	}

	public function getHeaderText()
	{
		if( Mage::registry('functions_data') && Mage::registry('functions_data')->getId() ) {
			return Mage::helper('functions')->__("Edit Item '%s'", $this->htmlEscape(Mage::registry('functions_data')->getTitle()));
		} else {
			return Mage::helper('functions')->__('Add Item');
		}
	}
}
?>