<?php
class D4U_Functions_Block_Adminhtml_Functions_Edit_Tabs extends Mage_Adminhtml_Block_Widget_Tabs
{

	public function __construct()
	{
		parent::__construct();
		$this->setId('functions_tabs');
		$this->setDestElementId('edit_form');
		$this->setTitle(Mage::helper('functions')->__('News Information'));
	}

	protected function _beforeToHtml()
	{
		$this->addTab('form_section', array(
			'label'     => Mage::helper('functions')->__('Item Information'),
			'title'     => Mage::helper('functions')->__('Item Information'),
			'content'   => $this->getLayout()->createBlock('functions/adminhtml_functions_edit_tab_form')->toHtml(),
		));

		return parent::_beforeToHtml();
	}
}
?>